Class | ActiveRecord::Base
In: | lib/gettext/active_record.rb
Parent: | Object

### Methods

columns_with_gettext set_error_message_explanation set_error_message_title untranslate untranslate? untranslate_all untranslate_all?

### Included Modules

GetText Validations

### Public Class methods

columns_with_gettext()
set_error_message_explanation(msg)

((Deprecated)) Use ActionView::Helpers::ActiveRecordHelper::L10n.set_error_message_explanation instead.

Sets a your own explanation of the error message dialog.

- msg: [single_msg, plural_msg]. Usually you need to call this with Nn_().
- Returns: [single_msg, plural_msg]

set_error_message_title(msg)

((Deprecated)) Use ActionView::Helpers::ActiveRecordHelper::L10n.set_error_message_title instead.

Sets a your own title of error message dialog.

- msg: [single_msg, plural_msg]. Usually you need to call this with Nn_().
- Returns: [single_msg, plural_msg]

untranslate(*w)

Sets the untranslate columns. (e.g.) untranslate :foo, :bar, :baz

untranslate?(columnname)

Returns true if the column is set "untranslate". (e.g.) untranslate? :foo

untranslate_all()

Untranslate all of the tablename/fieldnames in this model class.

untranslate_all?()

Returns true if "untranslate_all" is called. Otherwise false.

[Validate]